Page MenuHomePhabricator

Please add <http://data.collectienederland.nl> to $wgCopyUploadsDomains
Closed, DeclinedPublic

Description

Dear all,

Could you pleas add the mentioned domain to the whitelist for Wikimedia Commons?
An example of an URL for an image is this one: http://data.collectienederland.nl/page/aggregation/rkd-images/272784
The website is the image repository of the Dutch ministery of culture, and I am looking to mass upload PD images from it to Wikimedia Commons.

Thank you so much!

SIryn

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd images.rkd.nl to copy upload whitelist

Event Timeline

SIryn created this task.May 2 2018, 2:27 PM
Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptMay 2 2018, 2:27 PM
Urbanecm claimed this task.May 2 2018, 2:30 PM
Urbanecm triaged this task as Normal priority.
Urbanecm added a subscriber: Urbanecm.

Ok.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 2 2018, 2:30 PM

Going to add images.rkd.nl instead, the domain you provided does not contain the image you linked, see https://images.rkd.nl/rkd/thumb/650x650/50ac5f1a-23cb-3804-f72c-16b987dd4e2e.jpg as an example.

Change 430390 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add images.rkd.nl to copy upload whitelist

https://gerrit.wikimedia.org/r/430390

The last one is owned by Google and contains a cache with all images from Google Images search - cannot be added, not public domain. Also, I'm curious if the other URLs are for batch (GLAM-like) work or just a few of images from each domain. If it's the second, probably better would be to download the image and upload back, possibly with a local bot.

Urbanecm moved this task from To deploy to Working on on the Wikimedia-Site-requests board.

(this should be Analytics/Under discussion, but the column is gone)

(this should be Analytics/Under discussion, but the column is gone)

[Offtopic] Meh, restored. "Show Hidden Columns" in the workboard dropdown allows you to see those (the column dropdown allows you to "Show column" again); "Manage Workboard" and then clicking a column name allows you to see who performed an action.

SIryn added a comment.May 7 2018, 5:36 PM

Hi.

Sorry for the late response.
https://lh4.ggpht.com/pjNCtc3R9Ln8jxAnqYZu9LjKRf3o4iOE9TcYJuN9wado08TFZ9v_Vhx8RvTix9ws5tJxwd-ZfFFmiEANfGodppBs5So=s0
and
https://lh6.ggpht.com/E-hiiKXaGGngoQqVTEy4pqcC98zd1Hk6DKPvgP7s4NJR8C2Pvt_wnzDkTXWMVUTswvmj8s5m5NhWXeQP5SDrqaoC1J8=s0
are connected to the Dutch National Image repository of the Dutch government and contain a lot of images.
You can check them here: http://data.collectienederland.nl/api/search/v1/

I hope you can add them!

Thanks so much!

SIryn added a comment.May 11 2018, 3:08 PM

Hi,

Is there something I can do to help this along?

Thanks!

In the page you linked there's a link to https://www.europeana.eu/portal/cs/rights/rr-f.html. I'm not convinced that the images can be used on Wikimedia Commons.

Hi @Urbanecm,

The artist I am looking to add work from is Jan Toorop, died in 1928 (https://rkd.nl/nl/explore/artists/record?query=toorop&start=2).
So most (probably almost all) of the works will be safe to upload to Commons. Right statements chosen by institutions do often not represent the correct copyright statement. It is custom to only whitelist domains that contain only PD material? Because I saw some other whitelisted domains that i.m.o also contain copyrighted material. Is it not the responsibility of the uploader to check whether it is safe?
Thanks!

Change 430390 abandoned by Urbanecm:
Add images.rkd.nl to copy upload whitelist

https://gerrit.wikimedia.org/r/430390

Urbanecm removed Urbanecm as the assignee of this task.May 26 2018, 1:08 PM
Urbanecm removed a project: Patch-For-Review.
Urbanecm removed a project: User-Urbanecm.
Vvjjkkii renamed this task from Please add <http://data.collectienederland.nl> to $wgCopyUploadsDomains to gsdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:13 AM
CommunityTechBot renamed this task from gsdaaaaaaa to Please add <http://data.collectienederland.nl> to $wgCopyUploadsDomains.Jul 2 2018, 2:11 PM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Dereckson.
Majavah claimed this task.Jun 26 2019, 5:30 PM
Majavah added a subscriber: Majavah.
Majavah added a subscriber: Stryn.EditedJun 26 2019, 5:50 PM

Hey @SIryn, which collection are you trying to upload? The link in the task description is dead and the collections serve images from different sites, so we need to know which one to whitelist.

Stryn removed a subscriber: Stryn.Jun 26 2019, 6:23 PM
Aklapper changed the task status from Open to Stalled.Jul 21 2019, 10:52 PM

Stalled, until @SIryn replies to the last comment...

@SIryn: After answering, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!

Majavah closed this task as Declined.Thu, Nov 7, 3:46 PM

Closing, ticket is no replies for couple of months. If question is answered, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!